import os
from src.sec_human_readable_parser import process_report

def process_all_reports(company_dir):
    # Upewnij się, że katalog human_readable istnieje
    human_readable_dir = os.path.join(company_dir, 'human_readable')
    os.makedirs(human_readable_dir, exist_ok=True)
    
    # Przetwórz wszystkie pliki .txt w katalogu firmy
    for file in os.listdir(company_dir):
        if file.endswith('.txt') and not file.endswith('_human_readable.txt'):
            report_path = os.path.join(company_dir, file)
            print(f"Przetwarzanie raportu: {file}")
            process_report(report_path)

if __name__ == "__main__":
    company_dir = "reports/0001385849"
    process_all_reports(company_dir) 